<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * CodeIgniter
 *
 * An open source application development framework for PHP 5.1.6 or newer
 *
 * @package		CodeIgniter
 * @author		ExpressionEngine Dev Team
 * @copyright	Copyright (c) 2008 - 2011, EllisLab, Inc.
 * @license		http://codeigniter.com/user_guide/license.html
 * @link		http://codeigniter.com
 * @since		Version 1.0
 * @filesource
 */
 
 // ------------------------------------------------------------------------

/**
 * MY Output Class
 *
 * Controller/Method adina gore cache dosyalari gruplandirmaya yariyan output sinifi.
 *
 * @package		CodeIgniter
 * @subpackage	Core
 * @category	Core
 * @author		Musa AVCI
 * @link		http://www.phpr.org/codeigniter-controller-method-adina-gore-cache-gruplandirma
 */
class MY_Output extends CI_Output {	
	function _display_cache(&$CFG, &$URI) {
		// varolan cache_path aliniyor
		$path = $CFG->item('cache_path');
	  	$cache_path = ($path == '') ? APPPATH.'cache/' : $path;
	  	
	  	// controller ve method adina gore alt dizinler ekleniyor
	  	$custom_cache_path = $URI->rsegments[1] . '/' . $URI->rsegments[2];
	  	
	  	// alt dizinler yoksa olusturuluyor
	  	if(!is_dir($cache_path . $custom_cache_path))
	  		mkdir($cache_path . $custom_cache_path, 0777, true);
	  	
	  	// cache_path alt dizinler ekleniyor
	  	$CFG->set_item('cache_path', $cache_path . $custom_cache_path . '/');
	  	
	  	// normal cache goruntuleme fonksiyonu cagriliyor
		return parent::_display_cache($CFG, $URI);
	}
}
?>